<?php

namespace ext\crudactions;

class Event extends \CEvent {
    /**
     * @var \CModel The model being used by the action
     */
    public $model;
    /**
     * @var bool
     */
    public $error=false;

    public function __construct(\CModel $model, $sender, $error = false, $params = null) {
        $this->model = $model;
        $this->error = $error;
        parent::__construct($sender, $params);
    }
}