<div class="form">

    <?php
    $form = $this->beginWidget($this->getAction()->activeFormClass, array(
        'id' => $this->getAction()->modelIdentifier . '-form',
        'enableAjaxValidation' => $this->getAction()->enableAjaxValidation,
            ));
    ?>

    <p class="note">Fields with <span class="required">*</span> are required.</p>

    <?php echo $form->errorSummary($model); ?>

    <?php
    foreach ($model->metaData->attributes as $attribute) {
        if (!in_array($attribute->type, array('string', 'int', 'integer', 'bool', 'boolean')))
            continue;
        ?>
        <div class="row">
            <?php echo $form->labelEx($model, $attribute->name); ?>
            <?php echo $this->getAction()->generateActiveField($form, $model, $attribute); ?>
            <?php echo $form->error($model, $attribute->name); ?>
        </div>

        <?php
    }
    ?>

    <?php
    /*foreach ($model->metaData->relations as $relName=>$relation) {
        ?>
        <div class="row">
            <?php
            /**
             * @todo Need to add picker instead of listing everything
             */
            /*$relClass = $relation->className;
            $form->dropDownList($model,'item_type_id', CHtml::listData(ItemType::model()->findAll(), 'id', 'type'), array('empty'=>'select Type'));
            if ($relation instanceof \ext\activedocument\HasManyRelation)
                echo CHtml::listBox($this->getAction()->modelClass.'['.$relName.']', $model->{$relName}, CHtml::listData($relClass::model()->findAll(), $relClass::model()->primaryKey(), $relClass::model()->primaryKey()));
            else
                echo CHtml::dropDownList($this->getAction()->modelClass.'['.$relName.']', $model->{$relName}, CHtml::listData($relClass::model()->findAll(), $relClass::model()->primaryKey(), $relClass::model()->primaryKey()));
            ?>
            <?php echo $form->labelEx($model, $attribute->name); ?>
            <?php echo $this->getAction()->generateActiveField($form, $model, $attribute); ?>
            <?php echo $form->error($model, $attribute->name); ?>
        </div>

        <?php
    }*/
    ?>
    <div class="row buttons">
        <?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
    </div>

    <?php $this->endWidget(); ?>

</div><!-- form -->